#include "bbcreaMaracasVisuIRMViewer.h"
#include "bbcreaMaracasVisuPackage.h"


#include "wxMaracasIRMView.h"

namespace bbcreaMaracasVisu
{

BBTK_ADD_BLACK_BOX_TO_PACKAGE(creaMaracasVisu,IRMViewer)
BBTK_BLACK_BOX_IMPLEMENTATION(IRMViewer,bbtk::WxBlackBox);
void IRMViewer::Process()
{

	wxMaracasIRMView* irmview = wxMaracasIRMView::getInstance();
	std::vector<vtkProp3D*> tempvect;
	int i;

	if(irmview != NULL){
		vtkRenderer* renderer = bbGetInputRenderer();
		irmview->setRenderer(renderer);
		vtkProp3D* prop3D;
		tempvect.push_back(bbGetInputIn0());
		tempvect.push_back(bbGetInputIn1());
		tempvect.push_back(bbGetInputIn2());
		tempvect.push_back(bbGetInputIn3());
		tempvect.push_back(bbGetInputIn4());

		for(i = 0; i < tempvect.size();i++){
			prop3D = tempvect[i];
			if(prop3D != NULL&&renderer != NULL){
				irmview->addProp3D(prop3D);
			}
		}
	}  
}
void IRMViewer::CreateWidget(wxWindow* parent)
{


	//std::cout << "Your application's directory is: " << path;

	wxMaracasIRMView* irmview = wxMaracasIRMView::getInstance(parent);
	//GetDllDirectory(_MAX_PATH, currentPath);
	//std::cout << "Your application's directory is: " << GetDllDirectory(_MAX_PATH, currentPath)<<std::endl;

	bbSetOutputWidget(irmview);
  
}

	//-----------------------------------------------------------------	
	void IRMViewer::bbUserSetDefaultValues()
	{
		bbSetInputIn0(NULL);
		bbSetInputIn1(NULL);
		bbSetInputIn2(NULL);
		bbSetInputIn3(NULL);
		bbSetInputIn4(NULL);
		bbSetInputRenderer(NULL);
		bbSetOutputWidget(NULL);		
	}
	
	//-----------------------------------------------------------------	
	void IRMViewer::bbUserInitializeProcessing()
	{
	}
	
	//-----------------------------------------------------------------	
	void IRMViewer::bbUserFinalizeProcessing()
	{
	}
	
	//-----------------------------------------------------------------	
	
	

}
// EO namespace bbcreaMaracasVisu


