#ifdef _USE_WXWIDGETS_
#ifndef __bbcreaMaracasVisuSTL_h_INCLUDED__
#define __bbcreaMaracasVisuSTL_h_INCLUDED__
#include "bbcreaMaracasVisu_EXPORT.h"
#include "bbtkWxBlackBox.h"

#include "vtkImageData.h"

//#include "marInterface.h"

namespace bbcreaMaracasVisu
{

class bbcreaMaracasVisu_EXPORT STL
 : 
   public bbtk::WxBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(STL,bbtk::WxBlackBox);
  BBTK_DECLARE_INPUT(In,vtkImageData*);  
  BBTK_PROCESS(Process);
  void Process();
  BBTK_CREATE_WIDGET(CreateWidget);
  void CreateWidget(wxWindow*);

private:
	//marInterface* mar;
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(STL,bbtk::WxBlackBox);
BBTK_NAME("STL");
BBTK_AUTHOR("car-prie@uniandes.edu.co");
BBTK_DESCRIPTION("BB of the module STL in Maracas");
BBTK_CATEGORY("__CategoryBlackBox__");
BBTK_INPUT(STL,In,"Image to the STL",vtkImageData*,"");
BBTK_END_DESCRIBE_BLACK_BOX(STL);
}
// EO namespace bbcreaMaracasVisu

#endif // __bbcreaMaracasVisuSTL_h_INCLUDED__
#endif // _USE_WXWIDGETS_

