#include "bbmaracasvisuColorBar.h"
#include "bbcreaMaracasVisuPackage.h"
namespace bbcreaMaracasVisu
{

BBTK_ADD_BLACK_BOX_TO_PACKAGE(creaMaracasVisu,ColorBar)
BBTK_BLACK_BOX_IMPLEMENTATION(ColorBar,bbtk::WxBlackBox);

//--------------------------------------------------
void ColorBar::Process()
{
}

//--------------------------------------------------
void ColorBar::CreateWidget(wxWindow* parent)
{
//   bbSetOutputWidget( new wxStaticText ( bbGetWxParent() , -1 , _T("") ) );
//   Process();
		bbtkDebugMessageInc("Core",9,"ColorBar::CreateWidget()"<<std::endl);
		mwxwidget = new pColorBar( parent ,bbGetInputInW(), bbGetInputInH(), bbGetInputOrientation()==1); 
		mwxwidget -> setActiveStateTo( true );
   	    mwxwidget -> setRepresentedValues(bbGetInputInMin(), bbGetInputInMax());
		mwxwidget -> setDeviceEndMargin(10);
		mwxwidget -> setDeviceBlitStart(10,10); 
		std::vector<int> vectRED = bbGetInputReds(); 	
		std::vector<int> vectGREEN = bbGetInputGreens(); 	
		std::vector<int> vectBLUE = bbGetInputBlues(); 	
		std::vector<int> vectVALUES = bbGetInputValues(); 	
		if(vectRED.size()==vectGREEN.size() && vectGREEN.size()==vectBLUE.size() && vectBLUE.size()==vectVALUES.size())
		{
			int i=0;
			while ( i< (int)(vectVALUES.size()))
			{
				mwxwidget -> addColorPoint ( (double)vectVALUES[i], wxColour(vectRED[i], vectGREEN[i], vectBLUE[i]));
				i++;
			}
		}
		
		    
    bbtkDebugDecTab("Core",9);

	bbSetOutputWidget( mwxwidget );
}

//--------------------------------------------------
void ColorBar::bbUserSetDefaultValues()
{
		mwxwidget = NULL;
		bbSetInputOrientation(1);
		bbSetInputInW(200);
		bbSetInputInH(80);
		bbSetInputInMax(1);
		bbSetInputInMin(1);	
}
	
	//-----------------------------------------------------------------	
	void ColorBar::bbUserInitializeProcessing()
	{
	}
	
	//-----------------------------------------------------------------	
	void ColorBar::bbUserFinalizeProcessing()
	{
	}
	
	//-----------------------------------------------------------------	
	

}
// EO namespace bbcreaMaracasVisu


