/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasPathology_01.cxx,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "wxMaracasPathology_01.h"


wxMaracasPathology_01::wxMaracasPathology_01( wxWindow* parent,marInterface *mar)
: wxPanel( parent, -1, wxDefaultPosition, wxDefaultSize, wxTAB_TRAVERSAL)
{
  // Create the main frame window
  _pathologywidget = new wxPathologyWidget_01( this,mar );


  wxBoxSizer* szTop = new wxBoxSizer( wxVERTICAL );
  szTop->Add( _pathologywidget, 1  , wxEXPAND |  wxALL , 0 );
  szTop->Fit( this );
  szTop->SetSizeHints( this );
  this->SetAutoLayout( true );
  this->SetSizer( szTop );
  this->Layout();
}
//----------------------------------------------------------------------------
wxMaracasPathology_01::~wxMaracasPathology_01( )
{
  // Nothing
}
//----------------------------------------------------------------------------
void wxMaracasPathology_01::ConfigureVTK()
{
  _pathologywidget->ConfigureVTK();
}
//----------------------------------------------------------------------------
void wxMaracasPathology_01::ConfigureVTK(vtkImageData *imagedata, int x, int y, int z, double param){
	_pathologywidget->ConfigureVTK(imagedata,  x,  y,  z, param );
}
//----------------------------------------------------------------------------

// EOF - wxMaracasPathology_01.cxx

