#include "vtkInfoTextImageInteractor.h"

#include "wxVtk2DBaseView.h"

//-------------------------------------------------------------------
//-------------------------------------------------------------------
//-------------------------------------------------------------------

vtkInfoTextImageInteractor::vtkInfoTextImageInteractor()
{
}

//-------------------------------------------------------------------
vtkInfoTextImageInteractor::~vtkInfoTextImageInteractor()
{
}

//-------------------------------------------------------------------

void vtkInfoTextImageInteractor::SetModelVtkInfoTextImage(vtkInfoTextImage *vtkinfotextimage)
{
	_vtkinfotextimage	= vtkinfotextimage;
}

//-------------------------------------------------------------------
bool vtkInfoTextImageInteractor::OnMouseMove()
{
	int X,Y;
	wxVTKRenderWindowInteractor *wxVTKiren;
	wxVTKiren = _vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->GetWxVTKRenderWindowInteractor();
	wxVTKiren->GetEventPosition(X,Y);

	/*JCP 14/05/2009
	 * int z = (int)(_vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->GetVtkBaseData()->GetZ());*/
	
	double dxx,dyy,dzz;
	double ixx,iyy,izz;

		int z = (int)((wxVtk2DBaseView*)_vtkInteractorStyleBaseView->GetWxVtk2DBaseView())->GetVtkBaseData()->GetZ();
		dxx=X;
		dyy=Y;
		dzz=z;
	
	_vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->TransFromCoordScreenToWorld(dxx,dyy,dzz,true);

	
	GetVtkInfoTextImage()->PutWindowLevel();
	GetVtkInfoTextImage()->PutColorLevel();

	int tempext[6];
	((wxVtk2DBaseView*)_vtkInteractorStyleBaseView->GetWxVtk2DBaseView())->GetVtkBaseData()->GetImageData()->GetExtent(tempext);

	if(tempext[0] <= dxx && dxx <= tempext[1] && tempext[2] <= dyy && dyy <= tempext[3])
	{
		ixx=(int)(dxx+0.5);
		iyy=(int)(dyy+0.5);
		izz=(int)(dzz+0.0);
		GetVtkInfoTextImage()->PutPosition( ixx , iyy , izz );
		GetVtkInfoTextImage()->PutPixelIntensity( ixx , iyy , izz );
	}

	this->_vtkInteractorStyleBaseView->SetRefresh_waiting();
	return true;
}

//-------------------------------------------------------------------
vtkInfoTextImage *vtkInfoTextImageInteractor::GetVtkInfoTextImage()
{
	return _vtkinfotextimage;
}
