#include "wxMaracasIRMViewProp3DMHD.h"

#include "wxMaracasIRMView.h"
/**
**	IRM viewProp3DMHD implementation
**/
wxMaracasIRMViewProp3DMHD::wxMaracasIRMViewProp3DMHD(wxWindow* parent, int propid)
: wxMaracasIRMViewProp3D(parent, propid)
{
	
}
wxMaracasIRMViewProp3DMHD::~wxMaracasIRMViewProp3DMHD(){
	//this->Show(false);
	//wxMaracasIRMView::getInstance()->addRemoveActor(_propid, false);
}
void wxMaracasIRMViewProp3DMHD::createControls(int maxisovalue){
	
	wxFlexGridSizer* sizer = new wxFlexGridSizer(1,1,1);

	wxStaticText* label = new wxStaticText(this, -1, wxString(_T("IsoValue")));
	sizer->Add(label, wxGROW);
	//this->addControl(label);
	isovalue = new wxSlider(this, -1,maxisovalue,0,maxisovalue,wxDefaultPosition,wxDefaultSize,wxSL_HORIZONTAL|wxSL_LABELS);
	sizer->Add(isovalue, wxGROW);
	//this->addControl(isovalue);

	this->addControl(sizer);	
	Connect(isovalue->GetId(), wxEVT_SCROLL_CHANGED, (wxObjectEventFunction)&wxMaracasIRMViewProp3DMHD::onIsoValueRelease);	
}

void wxMaracasIRMViewProp3DMHD::onIsoValueRelease(wxScrollEvent& event ){

	wxMaracasIRMView::getInstance()->changeIsoValue(this->getPropId(), isovalue->GetValue()/1.0);
	
}

