#ifndef WXVTK3DBASEVIEW_H_
#define WXVTK3DBASEVIEW_H_

#include "wxVtkBaseView.h"

//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------

class creaMaracasVisu_EXPORT wxVtk3DBaseView: public wxVtkBaseView{
public:
	wxVtk3DBaseView( wxWindow *parent );
	virtual ~wxVtk3DBaseView();
	vtkCamera*			GetCamera();
	virtual vtkRenderer*		GetRenderer();
	virtual vtkRenderWindow*	GetRenWin();
	void				Refresh();
	void				Configure();
	virtual void		GetSpacing(double spc[3]);

private:
	bool				_configure;
	vtkRenderer			*_aRenderer;
	vtkRenderWindow		*_renWin;
	vtkCamera			*_aCamera;
protected:
};

#endif /*WXVTK3DBASEVIEW_H_*/
