

#ifndef __WX_VTK__BASE__VIEW__H
#define __WX_VTK__BASE__VIEW__H



#include <vtkRenderer.h>
#include <vtkRenderWindow.h>
#include <vtkCamera.h>
#include <vtkTextActor.h>

//EEDxx include
#include <vtkProperty.h>
#include <vtkActor.h>


#include <vtkImageViewer2.h> 
#include <vtkInteractorStyleImage.h> 

#include "wxMPRBaseData.h"
#include "wxVTKRenderWindowInteractorEditContour.h"

#include <wx/wx.h>



#include <vector>
#include "marTypes.h"

#include "wxVTKRenderWindowInteractor.h"
//#include "include/vtkImageViewer2_XYZ.h"

/* JCP 14/05/09
//#include "vtkInteractorStyleBaseView.h"
//class vtkInteractorStyleBaseView;  
 */

#include "vtkInteractorStyleImage.h"




class creaMaracasVisu_EXPORT wxVtkBaseView{
public:
	wxVtkBaseView( );
	wxVtkBaseView( wxWindow *parent );
	virtual ~wxVtkBaseView();
	wxVTKRenderWindowInteractor		*GetWxVTKRenderWindowInteractor() throw (char*);
	virtual void					Configure();
	virtual void					Refresh();
	virtual void					RefreshView();
	virtual vtkRenderer*			GetRenderer();
	virtual vtkRenderWindow*		GetRenWin();
	virtual void					TransFromCoordScreenToWorld(double &X, double &Y, double &Z, bool keepNormalDirection=false,int type=2);
	/* JCP 04/05/09
	void							SetInteractorStyleBaseView( vtkInteractorStyleBaseView*	interactorStyle);
	*/
	void							SetInteractorStyleBaseView( vtkInteractorStyleImage*	interactorStyle);
	/* JCP 04/05/09
	 * 
	vtkInteractorStyleBaseView*		GetInteractorStyleBaseView();	
	*/
	vtkInteractorStyleImage*		GetInteractorStyleBaseView();
	virtual void					GetSpacing(double spc[3]);

private:
	wxWindow						*_parent;
	wxVTKRenderWindowInteractor		*_iren;
	/**
	 * JCP 04/05/09
	 * vtkInteractorStyleImage		*_interactorStyle;
	 */
	vtkInteractorStyleImage		*_interactorStyle;
protected:

};



//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------





#endif // __WX_VTK__BASE__VIEW__H




