// marLine.h: interface for the marLine class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __marLine_h
#define __marLine_h

class marLine  
{
public:
	marLine();
	marLine(double x1, double y1, double x2, double y2);
	marLine(double a, double b);
	void getNormal(double *a, double *b);
	void getIntersect(double a, double b, double c, double *x, double *y);
	double getA();
	double getB();
	double getC();
	virtual ~marLine();

private:
	double a;
	double b;
	double c;
};

#endif // !defined(AFX_MARLINE_H__28F8F1C4_E5F2_48C7_94E0_3C8BEA226D06__INCLUDED_)
