#ifdef _USE_WXWIDGETS_
#ifndef __bbcreaMaracasVisuIRMViewer_h_INCLUDED__
#define __bbcreaMaracasVisuIRMViewer_h_INCLUDED__
#include "bbcreaMaracasVisu_EXPORT.h"
#include "bbtkWxBlackBox.h"

#include "vtkImageData.h"
#include "vtkProp3D.h"

//#include "marInterface.h"

namespace bbcreaMaracasVisu
{

class bbcreaMaracasVisu_EXPORT IRMViewer
 : 
   public bbtk::WxBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(IRMViewer,bbtk::WxBlackBox);
  //BBTK_DECLARE_INPUT(In,vtkImageData*);
  BBTK_DECLARE_INPUT(Renderer,vtkRenderer*);
  BBTK_DECLARE_INPUT(In0,vtkProp3D*);  
  BBTK_DECLARE_INPUT(In1,vtkProp3D*);
  BBTK_DECLARE_INPUT(In2,vtkProp3D*);
  BBTK_DECLARE_INPUT(In3,vtkProp3D*);
  BBTK_DECLARE_INPUT(In4,vtkProp3D*);
  BBTK_PROCESS(Process);
  void Process();
  BBTK_CREATE_WIDGET(CreateWidget);
  void CreateWidget(wxWindow*);

private:
	//marInterface* mar;
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(IRMViewer,bbtk::WxBlackBox);
BBTK_NAME("IRMViewer");
BBTK_AUTHOR("car-prie@uniandes.edu.co");
BBTK_DESCRIPTION("BB of the module IRMViewer");
BBTK_CATEGORY("__CategoryBlackBox__");
//BBTK_INPUT(IRMViewer,In,"Renderer to show the different prop3D",vtkImageData*,"");
BBTK_INPUT(IRMViewer,Renderer,"Renderer to show the different prop3D",vtkRenderer*,"");
BBTK_INPUT(IRMViewer,In0,"prop3D to the IRMViewer",vtkProp3D*,"");
BBTK_INPUT(IRMViewer,In1,"prop3D to the IRMViewer",vtkProp3D*,"");
BBTK_INPUT(IRMViewer,In2,"prop3D to the IRMViewer",vtkProp3D*,"");
BBTK_INPUT(IRMViewer,In3,"prop3D to the IRMViewer",vtkProp3D*,"");
BBTK_INPUT(IRMViewer,In4,"prop3D to the IRMViewer",vtkProp3D*,"");
BBTK_END_DESCRIBE_BLACK_BOX(IRMViewer);
}
// EO namespace bbcreaMaracasVisu

#endif // __bbcreaMaracasVisuIRMViewer_h_INCLUDED__
#endif // _USE_WXWIDGETS_

