/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracas3DBrowser.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__3D__BROWSER__
#define __WX__3D__BROWSER__

#include <wx/wx.h>
#include <wx/panel.h>
#include "widgets/wxSurfaceWidget.h"

#include <kernel/marInterface.h>

/**
 * \brief panel class containing the 3D widget
 */
class wxMaracas3DBrowser : public wxPanel
{
public:
    wxMaracas3DBrowser( wxWindow* parent, marInterface* mar, wxWindowID id = -1, int id_toolbar_plans=-1  );
    void	LoadData();
	void	RegenerateAll(bool all=true);



	int		GetIsovalue();
	int		GetOpacity();
private:

    wxSurfaceWidget	*_3DSurf;
    marInterface	*_mar;

};

#endif // __WX__3D__BROWSER__
