/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasQuantification.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__QUANTIF__HXX__
#define __WX__MARACAS__QUANTIF__HXX__

#include <wx/wx.h>
#include <wx/panel.h>
#include "widgets/wxQuantificationWidget.h"
#include "kernel/marInterface.h"

class wxMaracasQuantification : public wxPanel
{
public:
    wxMaracasQuantification( wxWindow* parent, marInterface* mar, wxWindowID id = -1 );
    ~wxMaracasQuantification( );
    void LoadData( );
    void Do_Quant( );
	void RegenerateAll(bool all=true);
	void CleanContours();
	void RegenerateSignal();
	void SetSlider_Isovalue_Opacity(int isovalue,int opacity);

private:

    marInterface			*_mar;
    wxQuantificationWidget	*_3DQuantif;

};

#endif // __WX__MARACAS__QUANTIF__HXX__

// EOF - wxMaracasQuantification.hxx
