/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracasQuantificationCT.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__QUANTIF__CT__HXX__
#define __WX__MARACAS__QUANTIF__CT__HXX__

#include <wx/wx.h>
#include <wx/panel.h>
#include "widgets/wxQuantificationWidgetCT.h"
#include "kernel/marInterface.h"

class wxMaracasQuantificationCT : public wxPanel
{
public:
    wxMaracasQuantificationCT( wxWindow* parent, marInterfaceCT* mar, wxWindowID id = -1 );
    ~wxMaracasQuantificationCT( );
    void LoadData( );
    void Do_Quant( );
	void RegenerateAll(bool all=true);
	void CleanContours();
	void RegenerateSignal();
	void SetSlider_Isovalue_Opacity(int isovalue,int opacity);
	int  GetActualSlice();
	void SetActualSlice(int slice);

private:

    marInterfaceCT				*_mar;
    wxQuantificationWidgetCT	*_3DQuantif;

};

#endif // __WX__MARACAS__QUANTIF__CT__HXX__

// EOF - wxMaracasQuantification.hxx
