/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: wxMaracas_ManualContour_Panel.h,v $
  Language:  C++
  Date:      $Date: 2009/05/14 13:54:54 $
  Version:   $Revision: 1.1 $

  Copyright: (c) 2002, 2003
  License:
  
     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#ifndef __WX__MARACAS__MANUALCONTOUR__PANEL__HXX__
#define __WX__MARACAS__MANUALCONTOUR__PANEL__HXX__


#include <wx/wx.h>
#include <wx/panel.h>

#include "vtkImageData.h"

//#include "widgets/wxEmptyPanel_3_Widget.h"

//#include "widgets/wxMPRBaseData.h"
//#include "widgets/wxVtkBaseView.h"
#include "widgets/wxMPRWidget.h"


class wxMaracas_ManualContour_Panel : public wxPanel
{
public:
    wxMaracas_ManualContour_Panel( wxWindow* parent );
    ~wxMaracas_ManualContour_Panel( );
	void ConfigureVTK(marImageData *marimagedata);

	void OnActualChange(wxCommandEvent& event);
	void OnRefreshView( wxCommandEvent & event);


private:

	vtkPlane2DView *_vtkplane2Dview;

	wxWindow* CreateViewerPanel(wxWindow* parent);
	wxWindow* CreateSplitePanel(wxWindow *parent);

	DECLARE_EVENT_TABLE();
};








#endif // __WX__MARACAS__MANUALCONTOUR__PANEL__HXX__

// EOF - wxMaracas_ManualContour_Panel.h
