
#ifndef LINE_VIEW_H
#define LINE_VIEW_H

#include <vtkProperty.h>
#include <vtkActor.h>
#include <vtkPolyLine.h>
#include <vtkDataSetMapper.h>
#include <vtkPolyDataMapper.h>
#include <vtkUnstructuredGrid.h>
#include "wxVtkBaseView.h"
#include <vector>

class LineView  
{
public:
	LineView();
	~LineView();

	void	DeleteLines();
	void	SetWxVtkBaseView(wxVtkBaseView *wxvtkbaseview);
	void	Refresh();
	void	CreateNewLine(double x1, double y1, double z1, double x2, double y2, double z2);

private:
	wxVtkBaseView					*_wxvtkbaseview;
	
	std::vector<vtkDataSetMapper*> contour_mapped;
	std::vector<vtkActor*>			contour_actor;
	//vtkActor						*_contourVtkActor;
	//vtkPolyDataMapper				*_bboxMapper;

	void			DeleteVtkObjects();
};

#endif // LineView

