

#ifndef __WX__EMPTY__PANEL__3__WIDGET
#define __WX__EMPTY__PANEL__3__WIDGET



#include <vtkImageData.h>
#include "../manualContour.h"
#include "wxMPRWidget.h"


#include <wx/wx.h>
#include <wx/panel.h>

//------------------------------------------------------------------
//------------------------------------------------------------------
//------------------------------------------------------------------

class wxEmptyPanel_3_Widget: public wxPanel{
public:
	wxEmptyPanel_3_Widget(wxWindow *parent);
	~wxEmptyPanel_3_Widget();
	void ConfigureVTK(marImageData *marimagedata);
	void OnContourA(wxCommandEvent& event);
	void OnContourB(wxCommandEvent& event);
	void OnContourAB(wxCommandEvent& event);
	void Refresh();
	void OnRefreshView(wxCommandEvent & event);
void CreateNewPoint(double x, double y);

private:
	wxWindow				*_parent;
	vtkImageData			*_data;
	wxVtk2DBaseView			*_imageviewer2D_1;
	vtkBaseData				*_vtkbasedata_1;
	wxPanel					*CreateControlPanel(wxWindow *parent);
	wxPanel					*CreateViewPanel(wxWindow *parent);

	manualRoiControler		*_manRoiControl;
	manualContourModel		*_mContourModel;
	manualViewRoi			*_mViewRoi;

	manualContourControler	*_manContourControl_1;
	manualContourModel		*_mContourModel_1;
	manualViewContour		*_mViewContour_1;

	manualContourControler	*_manContourControl_2;
	manualContourModel		*_mContourModel_2;
	manualViewContour		*_mViewContour_2;

	DECLARE_EVENT_TABLE( );
};

#endif // __WX__EMPTY__PANEL__3__WIDGET




