
#include "manualInteractorWindowLevel.h"
#include "wxVtk2DBaseView.h"
//-------------------------------------------------------------------
//-------------------------------------------------------------------
//-------------------------------------------------------------------

manualInteractorWindowLevel::manualInteractorWindowLevel()
{
	_stateWindowLevel	=	false;
	_backPx				=	0;
	_backPy				=	0;
	_backWindow			=	-1;
	_backLevel			=	-1;
}

//-------------------------------------------------------------------

manualInteractorWindowLevel::~manualInteractorWindowLevel()
{
}

//-------------------------------------------------------------------

bool manualInteractorWindowLevel::OnMouseMove()			// virtual 
{

	if (_stateWindowLevel==true)
	{
		int tmpPx,tmpPy;
		wxVTKRenderWindowInteractor *wxVTKiren;
		wxVTKiren = _vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->GetWxVTKRenderWindowInteractor();
		wxVTKiren->GetEventPosition( tmpPx , tmpPy );
		int colorWin=_backWindow - 2*( _backPx - tmpPx );
		int colorLev=_backLevel  + 2*( _backPy - tmpPy );	

		if (colorWin<0)
		{ 
			colorWin=0;
		}
		if (colorWin>100000)
		{ 
			colorWin=100000;
		}	

		if (colorLev<0)
		{ 
			colorLev=0;
		}
		if (colorLev>100000)
		{ 
			colorLev=100000;
		}
		vtkImageViewer2 *vtkimageviewer2;
		vtkimageviewer2=((wxVtk2DBaseView*)_vtkInteractorStyleBaseView->GetWxVtk2DBaseView())->_imageViewer2XYZ->GetVtkImageViewer2();
		vtkimageviewer2->SetColorWindow(colorWin);
		vtkimageviewer2->SetColorLevel(colorLev);
//		vtkimageviewer2->Render();
	}
	return true;
}

//-------------------------------------------------------------------

bool manualInteractorWindowLevel::OnMiddleButtonDown()	// virtual 
{
	if ((_vtkInteractorStyleBaseView->GetInteractor()->GetControlKey()==0) &&
	 	(_vtkInteractorStyleBaseView->GetInteractor()->GetShiftKey()==0) ){

		_stateWindowLevel	= true;
		wxVTKRenderWindowInteractor *wxVTKiren;
		wxVTKiren = _vtkInteractorStyleBaseView->GetWxVtk2DBaseView()->GetWxVTKRenderWindowInteractor();
		wxVTKiren->GetEventPosition( _backPx , _backPy );

		_backWindow = (int)(((wxVtk2DBaseView*)_vtkInteractorStyleBaseView->GetWxVtk2DBaseView())->_imageViewer2XYZ->GetVtkImageViewer2()->GetColorWindow());
		_backLevel  = (int)(((wxVtk2DBaseView*)_vtkInteractorStyleBaseView->GetWxVtk2DBaseView())->_imageViewer2XYZ->GetVtkImageViewer2()->GetColorLevel());
	}
	return true;
}

//-------------------------------------------------------------------

bool manualInteractorWindowLevel::OnMiddleButtonUp()		// virtual
{
	if (_stateWindowLevel==true)
	{
		_stateWindowLevel=false;
	}
	return true;
}
