
#include "wxMaracasIRMViewManagerData.h"

/********************************************************************************************
** Start of data viewmanagerData
*********************************************************************************************/

wxMaracasIRMViewManagerData::wxMaracasIRMViewManagerData(vtkProp3D* prop3Dvect, std::string dataname){

	_prop3D = prop3Dvect;	
	_dataname = dataname;
	
}


wxMaracasIRMViewManagerData::~wxMaracasIRMViewManagerData(){
	
	_prop3D->Delete();	
}

/**
**	Adds a prop3D to the world of the application
**/
void wxMaracasIRMViewManagerData::setProp3D(vtkProp3D* prop3D){
	_prop3D = prop3D;
}
/**
**	Changes the opacity in a prop3D
**/
void wxMaracasIRMViewManagerData::changeOpacity(int value){
	std::cout<<"chage op"<<value<<std::endl;
	vtkActor* actor = (vtkActor*)this->_prop3D;	
	actor->GetProperty()->SetOpacity((double)value/100.0);

	

}
void wxMaracasIRMViewManagerData::changeColor(double red, double green, double blue){
	std::cout<<"chage col"<<red<<green<<blue<<std::endl;
    vtkActor* actor = (vtkActor*)this->_prop3D;	
	actor->GetProperty()->SetColor(red,green,blue);	
}
/**
**	Check if the variables are setted correctly
**/
void wxMaracasIRMViewManagerData::checkInvariant(){

}
/**
**	get the prop3D 
**/
vtkProp3D* wxMaracasIRMViewManagerData::getProp3D(){
	return this->_prop3D;
}
/**
**	return the id from the daat
**/
int wxMaracasIRMViewManagerData::getId(){
	return _id;
}
/**
**	set data id
**/
void wxMaracasIRMViewManagerData::setId(int propid){
	_id = propid;
}

/**
**	Get the filanme
**/
std::string wxMaracasIRMViewManagerData::getDataname(){
	return _dataname;
}
/**
** Set the filanme
**/
void wxMaracasIRMViewManagerData::setDataname(std::string dataname){
	_dataname = dataname;
}

