#ifndef wxMaracasMultipleVolumeRendererPanel_H_
#define wxMaracasMultipleVolumeRendererPanel_H_

#include <wx/wx.h>
#include "HistogramDialog.h"

class wxMaracasMultipleVolumeRendererPanel : public wxPanel{
	
public:
	wxMaracasMultipleVolumeRendererPanel(wxWindow* parent, int propid, vtkImageData* img);
	~wxMaracasMultipleVolumeRendererPanel();
	void createControls(vtkImageData* img);		
	void onCheckBoxChange(wxCommandEvent& event);
	void onColorChange(wxCommandEvent& event);
	void onOK(wxCommandEvent& event);
	void onCancel(wxCommandEvent& event);
	void onUpdate(wxCommandEvent& event);

	void updateVolume();
	int getPropId();
	
private:
	wxCheckBox* checkbox;
	wxBitmapButton* _colorchoose;
	
	int _propid;

	bool first;

	HistogramDialog* mwxwidget;
	//wxFrame* _frame;
	
};

#endif /*wxMaracasMultipleVolumeRendererPanel_H_*/
