
#include "marUtils.h"

// ----------------------------------------------------------------------------
marUtils::marUtils()
{

}

// ----------------------------------------------------------------------------
marUtils::~marUtils()
{

}
// ----------------------------------------------------------------------------
double marUtils::obtainAverage(std::vector<double> list)
{
	double average = 0;
	for (int i = 0; i < list.size(); i++)
	{
		average += list[i];
	}

	if (list.size() > 0)
	{
		average = average / list.size();
	}

	return average;

}

// ----------------------------------------------------------------------------
double marUtils::obtainStandardDeviation(std::vector<double> list, double average)
{
	double std = 0;

	for(int i = 0; i < list.size(); i++)
	{
		std += pow(list[i] - average,2.0);
	}

	if (list.size() > 0)
	{
		std = sqrt(std/list.size());
	}

	return std;
}
