#include "vtkImageData.h"


#ifndef __VTK__VTK__OTSU__IMAGE__DATA__H__
#define __VTK__VTK__OTSU__IMAGE__DATA__H__

class vtkOtsuImageData
{
public:
	vtkOtsuImageData();
	virtual ~vtkOtsuImageData();
	int calculateOptimalThreshold(vtkImageData *volume);
	

protected:

	 FILE *logger;
private:
	int* H;
	double* SI;
	double* P;
	
	vtkImageData *volume;
	

};

#endif //__VTK__VTK__OTSU__IMAGE__DATA__H__
