

#ifndef __VTK__VTK__OTSU__SPHERE__SOURCE__H__
#define __VTK__VTK__OTSU__SPHERE__SOURCE__H__


#include "vtkImageData.h"

class vtkOtsuSphereSource
{
public:
	vtkOtsuSphereSource();
	virtual ~vtkOtsuSphereSource();
	double calculateOptimalThreshold(vtkImageData *voi);
	vtkImageData* getImageForSegmentation();
private:
	int* H;
	double* SI;
	double* P;
	
	vtkImageData *volume;
	vtkImageData *region;
	vtkImageData *result;

};



#endif // __VTK__OTSU__SPHERE__SOURCE__H__
